digiKam Developer Documentation: Digikam::TagsActionMngr Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Signals | Public Member Functions | Static Public Member Functions | List of all members
Digikam::TagsActionMngr Class Reference
Inheritance diagram for Digikam::TagsActionMngr:

## Public Slots
void | slotColorNameChanged (int label, const QString &name)

## Signals
void | signalColorLabelNamesUpdated ()
void | signalShortcutPressed (const QString &shortcut, int val)
void | signalTagsActionCollectionsRegistered ()

## Public Member Functions
| TagsActionMngr (QWidget *const parent)
QList< KActionCollection * > | actionCollections () const
| Return the list of whole action collections managed.
QMap< int, QString > | colorLabelNames () const
| return the current map of color label names ordered by ColorLabel enum.
QString | colorShortcutPrefix () const
QString | pickShortcutPrefix () const
QString | ratingShortcutPrefix () const
void | registerActionsToWidget (QWidget *const wdg)
void | registerLabelsActions (KActionCollection *const ac)
| Register all labels actions to collections managed with keyboard shortcuts.
void | registerTagsActionCollections ()
| Register all tag actions to collections managed with keyboard shortcuts.
QString | tagShortcutPrefix () const
void | updateTagShortcut (int tagId, const QKeySequence &ks, bool delAction=true)
| Updates the shortcut action for a tag.

## Static Public Member Functions
static QStringList | colorSet ()
static TagsActionMngr * | defaultManager ()

## Member Function Documentation

## ◆ registerLabelsActions()

void Digikam::TagsActionMngr::registerLabelsActions | ( | KActionCollection *const | ac | ) |

Unlike tags actions, labels shortcuts are stored in XML GUI file of each root windows, to be able to customize it through KDE keyboards shortcuts config panel. This method must be called before to DXmlGuiWindow::createGUI(), typically when window actions are registered to ActionCollection instance.

## ◆ registerTagsActionCollections()

void Digikam::TagsActionMngr::registerTagsActionCollections | ( |  | ) |

Because Tags shortcuts are stored in database this method must be called after database initialization and after that all root window instances have been created.

## ◆ updateTagShortcut()

void Digikam::TagsActionMngr::updateTagShortcut | ( | int | tagId,
|  | const QKeySequence & | ks,
|  | bool | delAction = `true`
| ) |  |

Call this when a shortcut was added, removed or changed.